package edu.cmu.cs.l3.translate;

import edu.cmu.cs.l3.temp.*;
import edu.cmu.cs.l3.tree.*;
import edu.cmu.cs.l3.frame.*;

public class FragmentGlobal extends Fragment {

    public FragmentGlobal(Frame frame, IRTemp t, boolean ptr) {
        super(frame); m_temp =t; m_ptr = ptr;
    }

    public IRTemp getTemp() {
        return m_temp;
    }

    public boolean isPointer() {
        return m_ptr;
    }

    private IRTemp m_temp;
    private boolean m_ptr;
}